#
# spec file for package gmmlib
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global somajor 11
%global libname libigdgmm%{somajor}
Name:           gmmlib
Version:        20.3.2
Release:        1.39
Summary:        Intel(R) Graphics Memory Management Library Package
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://github.com/intel/gmmlib
Source0:        https://github.com/intel/gmmlib/archive/intel-gmmlib-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
ExclusiveArch:  x86_64

%description
The Intel(R) Graphics Memory Management Library provides device specific
and buffer management for the Intel(R) Graphics Compute Runtime for
OpenCL(TM) and the Intel(R) Media Driver for VAAPI.

%package -n %{libname}
Summary:        Intel(R) Graphics Memory Management Library development package
Group:          Development/Libraries/C and C++

%description -n %{libname}
The Intel(R) Graphics Memory Management Library provides device specific
and buffer management for the Intel(R) Graphics Compute Runtime for
OpenCL(TM) and the Intel(R) Media Driver for VAAPI.

This package contains shared library.

%package    devel
Summary:        Intel(R) Graphics Memory Management Library development package
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Provides:       libigdgmm-devel = %{version}
Obsoletes:      libigdgmm-devel < %{version}

%description   devel
The Intel(R) Graphics Memory Management Library provides device specific
and buffer management for the Intel(R) Graphics Compute Runtime for
OpenCL(TM) and the Intel(R) Media Driver for VAAPI.

This package provides development files.

%prep
%autosetup -n %{name}-intel-%{name}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%license LICENSE.md
%{_libdir}/libigdgmm.so.%{somajor}*

%files devel
%{_includedir}/igdgmm
%{_libdir}/libigdgmm.so
%{_libdir}/pkgconfig/igdgmm.pc

%changelog
* Sat Oct 10 2020 dmueller@suse.com
- update to 20.3.2
  * baseAlignment can be greater than 64KB and needs to be aligned to 64KB
  * DG1 HiZ H/V Align modification
  * Set MOCS0 with WB cache value
  * DG1 Placed resource alignment issues Dx12/Vulkan
  * Remove '-Werror=implicit-function-declaration'
  * SyncInfoLin: Initialize members
  * Do not use memset for clearing an object of non-trivial type
  * Added the ADL-S device ID's and phyAddr support
* Mon Aug 31 2020 sndirsch@suse.com
- update to 20.2.5
  * No upstream changelog available (needed for jira#SLE/SLE-12712)
* Sun Aug 16 2020 dmueller@suse.com
- update to 20.2.3:
  * No upstream changelog available.
* Fri Apr 10 2020 bjorn.lie@gmail.com
- Update to version 20.1.1:
  * No upstream changelog available.
* Mon Mar 23 2020 mpluskal@suse.com
- Update to version 19.4.1:
  * No upstream changelog available
* Thu Nov  7 2019 sndirsch@suse.com
- This release fullfills requirements for jsc#SLE-8726
* Wed Nov  6 2019 sndirsch@suse.com
- Updated to version 19.3.3
  * Intel Graphics Memory Management Library 2019 Q3 Release 3
- Bump soname to 11
* Mon Sep  2 2019 sndirsch@suse.com
- Updated to version 19.2.4
  * adds support for Icelake, EHL, Cometlake, Lakefield
  * bug fixes
* Sat Jul  6 2019 bjorn.lie@gmail.com
- Update to version 19.2.3:
  * Memory leak fix.
  * Crash fix.
  * More device support.
- Bump soname to 9 following upstream changes.
* Mon Apr  1 2019 tiwai@suse.de
- Updated to version 18.4.1:
  * Cleanup, more device support
- Changed the subpackage name to follow libigdgmm.so.5
* Wed Nov  7 2018 tiwai@suse.de
- Initial version: 18.3.0
